'''
Created on 2011-11-20

@author: andrew
'''

class ModelGraph(object):
    '''
    Class for the DAG representing the model.
    '''
    def __init__(self):
        self.nodes = []
    
    def add_node(self, node):
        self.nodes.append(node)
        
        for parent, child in node.parent_child_list:
            if hasattr(parent, 'add_child'):
                parent.add_child(child)
